$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.25.3-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.25.3-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'E31CEB0DAC7D149FF4E8F18D2FDE26487185FC739E1EC96EF08512B90A1335C4'
  checksumType = 'sha256'
  checksum64 = 'E31CEB0DAC7D149FF4E8F18D2FDE26487185FC739E1EC96EF08512B90A1335C4'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.25.3-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
